CREATE OR REPLACE VIEW V_CAMERA_SYNC AS 
SELECT 
    N.NCARD || '_' || NC.HIK_CAMERA_ID || '_' || NCU.ID_NCARD_CAMERA_USER AS ID,
    N.NCARD,
    N.STATUS,
    N.VELJA_OD,
    N.VELJA_DO,
    NT.CAMERA_ACCESS_CONTROL,
    NT.ACT AS NCARD_TYPE_ACT,
    NC.HIK_CAMERA_ID,
    NCU.ID_NCARD_CAMERA_USER,
    NCU.ID_DATOTEKE_KUPCEV,
    NCU.CAMERA_USER_ID,
    NCU.ACT AS NCARD_CAMERA_USER_ACT
FROM
    NCARD N
    JOIN NCARD_TYPE NT ON NT.ID = N.NCARD_TYPE
    JOIN NCARD_CAMERA NC ON NC.NCARD = N.NCARD
    JOIN NCARD_CAMERA_USER NCU ON NCU.NCARD = N.NCARD
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2051, SYSDATE, '5.5', 1971, 'CameraAccessControl')
;