ALTER TABLE SALDKONT_AUTOPAY_IZPISKI
  ADD STATUS VARCHAR2(2 CHAR);

CREATE OR REPLACE FORCE VIEW V_SALDKONT_IZPISEK_DEPOSIT (ID_SALDKONT_IZPISEK, DEPOSIT1, DEPOSIT2, DEPOSIT3, DEPOSIT4, DEPOSIT5, DEPOSIT6, DEPOSIT7, DEPOSIT8) AS 
  (
SELECT I.ID_SALDKONT_IZPISEK,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=1) AS DEPOSIT1,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=2) AS DEPOSIT2,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=3) AS DEPOSIT3,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=4) AS DEPOSIT4,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=5) AS DEPOSIT5,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=6) AS DEPOSIT6,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND V.STOAK=7) AS DEPOSIT7,
(SELECT COALESCE(SUM(V.ZA_PLACILO),0) FROM V_SALDKONT_DEPOSIT V WHERE V.ID_KUPCA=I.ID_KUPCA AND V.DATUM<=I.DATE_TO AND (V.STOAK=8 OR V.STOAK IS NULL)) AS DEPOSIT8
FROM SALDKONT_IZPISEK I
)
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(568, SYSDATE, '5.5', 488, 'Autopay');