CREATE OR REPLACE VIEW V_NAJAVE AS (
  SELECT DISTINCT N.ID AS ID_NAJAVE, N.ID_DVIGALA, N.ID_LASTNIKA, N.ID_PLOVILA, N.ID_STORITVE, N.SIFRA_DVIGALA, N.SIFRA_STORITVE, N.VRSTA_NAJAVE,
  N.DATUM, N.URA_OD, N.URA_DO, M.OPIS AS STORITEV, P.IME AS IME_PLOVILA, P.TEZA AS TEZA_PLOVILA, NVL(K.PRIIMEK, '') || ' ' || NVL(K.IME, '') AS LASTNIK, S.COMPLETE 
  FROM NAJAVE N
  LEFT JOIN M_NNSTOMAR M ON N.SIFRA_STORITVE = M.SIFRA
  LEFT JOIN PLOVILA P ON N.ID_PLOVILA = P.ID
  LEFT JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
  LEFT JOIN M_STORITVE S ON N.ID_STORITVE = S.ID_STORITVE 
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(341, SYSDATE, '5.5', 261, 'Pogled V_NAJAVE za dvigala');